#!/bin/bash

# This hook script is used for running pre-commit checks on the patchsets submitted to Gerrit.

export JAVA7_BUILD=true
if [[ -f /opt/toolchain/toolchain.sh ]]; then
  . /opt/toolchain/toolchain.sh
else
  echo "Warning: toolchain not found, this check may fail"
fi

mvn clean
mvn test